Check-in [b00d829cca]
Overview
Comment:Updated to use FOSSIL_CHANGE as UUID for download, to prevent potential race condition
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:b00d829cca8d353dfe52e1e7e43c170004719b6a
User & Date: rkeene on 2011-05-21 13:57:15
Other Links: manifest | tags
Context
2011-05-21
16:04
Updated to only look at the trunk for the change UUID check-in: fb120151ec user: rkeene tags: trunk
13:57
Updated to use FOSSIL_CHANGE as UUID for download, to prevent potential race condition check-in: b00d829cca user: rkeene tags: trunk
13:49
Added basic sanity check to nightly testing script check-in: c2be59edab user: rkeene tags: trunk
Changes

Modified build/test/do-nightly-tests-and-publish from [751816bb2c] to [02642024b3].

    14     14   # Determine change of fossil revision
    15     15   FOSSIL_CHANGE="$(fossil timeline --repository "${KITCREATORFOSSIL}" -n 1 -t ci | grep '^[0-9:]* \[' | sed 's@^[0-9:]* \[\([0-9a-f]*\)\].*$@\1@')"
    16     16   TESTNAME="fossil_${FOSSIL_CHANGE}"
    17     17   export FOSSIL_CHANGE TESTNAME
    18     18   
    19     19   # Verify sanity
    20     20   issane=1
    21         -if [ ! -f "${KITCREATORFOSSIL}" ]; then
    22         -	echo "Missing Kitcreator Fossil Repo: ${KITCREATORFOSSIL}" >&2
           21  +if [ -z "${FOSSIL_CHANGE}" ]; then
           22  +	echo "Unable to determine name of latest revision, likely missing Kitcreator Fossil Repo: ${KITCREATORFOSSIL}" >&2
    23     23   
    24     24   	issane=0
    25     25   fi
    26     26   
    27     27   if [ ! -d "${WEBROOTDIR}" ]; then
    28     28   	echo "Missing Web Root Directory: ${WEBROOTDIR}" >&2
    29     29   
................................................................................
    63     63   
    64     64   	rm -rf "${TMPWORKDIR}"
    65     65   
    66     66   	exit 1
    67     67   }
    68     68   
    69     69   # Download latest tarball
    70         -wget -O 'kitcreator-trunk-tip.tar.gz' -o /dev/null 'http://kitcreator.rkeene.org/fossil/tarball/kitcreator-trunk-tip.tar.gz?uuid=trunk'
           70  +wget -O 'kitcreator-trunk-tip.tar.gz' -o /dev/null "http://kitcreator.rkeene.org/fossil/tarball/kitcreator-trunk-tip.tar.gz?uuid=${FOSSIL_CHANGE}"
    71     71   
    72     72   tar -xf kitcreator-trunk-tip.tar.gz || die 'Tarball Extraction Failed'
    73     73   
    74     74   cd kitcreator-trunk-tip || die 'Tarball Sanity Failed'
    75     75   
    76     76   # Prepare source
    77     77   ./build/pre.sh >/dev/null 2>/dev/null